all_groups :: all

all :: $(all_constituents)
	@/bin/echo " all ok."

clean :: allclean
	@/bin/echo " clean ok."

allclean :: $(all_constituentsclean)
	@/bin/echo " allclean ok."

$(bin)sigdesc.make :: dirs
	@$(cmtexe) build constituent_makefile sigdesc -tag=$(tag); \
	  if test ! "$(bin)" = "./"; then /bin/mv -f sigdesc.make $(bin); fi

sigdesc :: $(sigdesc_dependencies) $(bin)sigdesc.make
	@echo " starting sigdesc"
	@$(MAKE) -f $(bin)sigdesc.make build_strategy=keep_makefiles sigdesc

sigdescclean :: $(sigdescclean_dependencies) $(bin)sigdesc.make
	@echo " starting sigdescclean"
	@$(MAKE) -f $(bin)sigdesc.make build_strategy=keep_makefiles sigdescclean



$(bin)Cbf.make :: dirs
	@$(cmtexe) build constituent_makefile Cbf -tag=$(tag); \
	  if test ! "$(bin)" = "./"; then /bin/mv -f Cbf.make $(bin); fi

Cbf :: $(Cbf_dependencies) $(bin)Cbf.make
	@echo " starting Cbf"
	@$(MAKE) -f $(bin)Cbf.make build_strategy=keep_makefiles Cbf

Cbfclean :: $(Cbfclean_dependencies) $(bin)Cbf.make
	@echo " starting Cbfclean"
	@$(MAKE) -f $(bin)Cbf.make build_strategy=keep_makefiles Cbfclean



$(bin)CbfCleanTt.make :: dirs
	@$(cmtexe) build constituent_makefile CbfCleanTt -tag=$(tag); \
	  if test ! "$(bin)" = "./"; then /bin/mv -f CbfCleanTt.make $(bin); fi

CbfCleanTt :: $(CbfCleanTt_dependencies) $(bin)CbfCleanTt.make
	@echo " starting CbfCleanTt"
	@$(MAKE) -f $(bin)CbfCleanTt.make build_strategy=keep_makefiles CbfCleanTt

CbfCleanTtclean :: $(CbfCleanTtclean_dependencies) $(bin)CbfCleanTt.make
	@echo " starting CbfCleanTtclean"
	@$(MAKE) -f $(bin)CbfCleanTt.make build_strategy=keep_makefiles CbfCleanTtclean



$(bin)CbfCleanSig.make :: dirs
	@$(cmtexe) build constituent_makefile CbfCleanSig -tag=$(tag); \
	  if test ! "$(bin)" = "./"; then /bin/mv -f CbfCleanSig.make $(bin); fi

CbfCleanSig :: $(CbfCleanSig_dependencies) $(bin)CbfCleanSig.make
	@echo " starting CbfCleanSig"
	@$(MAKE) -f $(bin)CbfCleanSig.make build_strategy=keep_makefiles CbfCleanSig

CbfCleanSigclean :: $(CbfCleanSigclean_dependencies) $(bin)CbfCleanSig.make
	@echo " starting CbfCleanSigclean"
	@$(MAKE) -f $(bin)CbfCleanSig.make build_strategy=keep_makefiles CbfCleanSigclean



$(bin)CbfHashTest.make :: dirs
	@$(cmtexe) build constituent_makefile CbfHashTest -tag=$(tag); \
	  if test ! "$(bin)" = "./"; then /bin/mv -f CbfHashTest.make $(bin); fi

CbfHashTest :: $(CbfHashTest_dependencies) $(bin)CbfHashTest.make
	@echo " starting CbfHashTest"
	@$(MAKE) -f $(bin)CbfHashTest.make build_strategy=keep_makefiles CbfHashTest

CbfHashTestclean :: $(CbfHashTestclean_dependencies) $(bin)CbfHashTest.make
	@echo " starting CbfHashTestclean"
	@$(MAKE) -f $(bin)CbfHashTest.make build_strategy=keep_makefiles CbfHashTestclean


